com.io7m.jcanephora.core.api

## Interface JCGLInterfaceGL33Type

-     public interface JCGLInterfaceGL33Type

  The interface exposed by OpenGL 3.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLArrayBuffersType` | `arrayBuffers()`
    `JCGLArrayObjectsType` | `arrayObjects()`
    `JCGLBlendingType` | `blending()`
    `JCGLClearType` | `clearing()`
    `JCGLColorBufferMaskingType` | `colorBufferMasking()`
    `JCGLCullingType` | `culling()`
    `JCGLDepthBuffersType` | `depthBuffers()`
    `JCGLDrawType` | `drawing()`
    `JCGLFramebuffersType` | `framebuffers()`
    `JCGLIndexBuffersType` | `indexBuffers()`
    `JCGLPolygonModesType` | `polygonModes()`
    `JCGLScissorType` | `scissor()`
    `JCGLShadersType` | `shaders()`
    `JCGLStencilBuffersType` | `stencilBuffers()`
    `JCGLTexturesType` | `textures()`
    `JCGLTimersType` | `timers()`
    `JCGLViewportsType` | `viewports()`

- - ### Method Detail

    - #### arrayBuffers

          JCGLArrayBuffersType arrayBuffers()

      Returns:
        The array buffers interface

    - #### arrayObjects

          JCGLArrayObjectsType arrayObjects()

      Returns:
        The array objects interface

    - #### blending

          JCGLBlendingType blending()

      Returns:
        The blending interface

    - #### depthBuffers

          JCGLDepthBuffersType depthBuffers()

      Returns:
        The depth buffers interface

    - #### shaders

          JCGLShadersType shaders()

      Returns:
        The shaders interface

    - #### indexBuffers

          JCGLIndexBuffersType indexBuffers()

      Returns:
        The index buffers interface

    - #### drawing

          JCGLDrawType drawing()

      Returns:
        The drawing interface

    - #### clearing

          JCGLClearType clearing()

      Returns:
        The framebuffer clearing interface

    - #### textures

          JCGLTexturesType textures()

      Returns:
        The texture interface

    - #### framebuffers

          JCGLFramebuffersType framebuffers()

      Returns:
        The framebuffers interface

    - #### polygonModes

          JCGLPolygonModesType polygonModes()

      Returns:
        The polygon modes interface

    - #### culling

          JCGLCullingType culling()

      Returns:
        The polygon culling interface

    - #### colorBufferMasking

          JCGLColorBufferMaskingType colorBufferMasking()

      Returns:
        The color buffer masking interface

    - #### viewports

          JCGLViewportsType viewports()

      Returns:
        The viewports interface

    - #### scissor

          JCGLScissorType scissor()

      Returns:
        The scissor interface

    - #### stencilBuffers

          JCGLStencilBuffersType stencilBuffers()

      Returns:
        The stencil buffers interface

    - #### timers

          JCGLTimersType timers()

      Returns:
        The timers interface

Copyright © 2017 <code@io7m.com> http://io7m.com